[CentOS] Upgrade

David G. Miller dave at davenjudy.org
Wed Apr 1 19:00:11 UTC 2009


"Thomas Dukes" <tdukes at sc.rr.com> wrote:

>   
>> > -----Original Message-----
>> > From: centos-bounces at centos.org 
>> > [mailto:centos-bounces at centos.org] On Behalf Of Ned Slider
>> > Sent: Tuesday, March 31, 2009 10:34 PM
>> > To: CentOS mailing list
>> > Subject: Re: [CentOS] Upgrade
>> > 
>> > Thomas Dukes wrote:
>>     
>>> > > Hello,
>>> > > 
>>> > > Just did yum update.  There were numerous packages to be 
>>>       
>> > updated.  I 
>>     
>>> > > get this is the newest release of Centos.
>>> > > 
>>> > > The update bombed stating I need nss-3.12.2.0-2.el5.  I did 
>>>       
>> > a rpm -q 
>>     
>>> > > nss and
>>> > > nss-3.12.2.0-4.el5 is install in Cento 5.2.
>>> > > 
>>> > > What's up with that?
>>> > > 
>>> > > TIA
>>> > > 
>>>       
>> > 
>> > You didn't wait for the official release announcement  ;) 
>>     
>
> Good one!!   :-) 
>
> Wasn't trying to upgrade to the newest release.  I run a 'yum update' daily.
> I only have Centos repos installed so I don't know how I have a version of
> nss newer in 5.2 than 5.3.
>
> As someone suggested in a later reply, I'll wait a day or two and try again.
>
> Thanks
>   
Lots of noise on the list today.  I ran into the same problem when I 
attempted to "yum update" my workstation last night.  I worked around it 
using the old old "rpm dependency hell" technique of retrying the update 
but sequentially excluding each dependency as the various update 
attempts revealed them to me.  I finally got a working update with:

yum --exclude wxGTK --exclude  nss-devel --exclude 'rpm-*' --exclude 
popt update; date

wxGTK is excluded since I'm also running audacity 1.3.0b.  The remaining 
excludes got me around the nss-devel problem.  Got up this morning and 
re-ran my yum update with only wxGTK excluded and it worked just fine.  
Literally as I was typing this e-mail, the update for my laptop did the 
same thing (complaint about a missing nss-devel).  My other systems all 
required changing /etc/yum.repos.d/Centos-Base.repo to use "baseurl" 
instead of "mirrorlist" before the update would even run.  I made the 
same change on the laptop and the update is now progressing as expected.

The laptop and my workstation are the only x86_64 installations. The 
remaining systems are all 32 bit.  Since the problem still occurred on 
my laptop but went away when I switched to "baseurl", I wonder if one of 
the mirrors has a bad configuration.  The results of this morning's 
update on my workstation are as follows:

[root at bend video]#  yum --exclude wxGTK update; date   Loaded plugins: 
fastestmirror, priorities, protectbase
Loading mirror speeds from cached hostfile
 * rpmforge: rh-mirror.linux.iastate.edu
 * extras: ftp.lug.udel.edu
 * updates: ftp.linux.ncsu.edu
 * base: centos-distro.cavecreek.net
 * addons: centos.mirror.nac.net
kbs-CentOS-Extras                                        |  951 B     
00:00    
rpmforge                                                 | 1.1 kB     
00:00    
extras                                                   |  951 B     
00:00    
updates                                                  |  951 B     
00:00    
primary.xml.gz                                           |  50 kB     
00:00    
updates                                                        106/106
base                                                     | 1.1 kB     
00:00    
addons                                                   |  951 B     
00:00    
adobe-linux-i386                                         |  951 B     
00:00    
Excluding Packages in global exclude list
Finished
331 packages excluded due to repository protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package avahi-compat-libdns_sd.x86_64 0:0.6.16-1.el5_2.1 set to be 
updated
---> Package rpm-devel.x86_64 0:4.4.2.3-9.el5 set to be updated
--> Processing Dependency: nss-devel for package: rpm-devel
---> Package rpm-libs.x86_64 0:4.4.2.3-9.el5 set to be updated
---> Package kernel.x86_64 0:2.6.18-128.1.1.el5 set to be installed
---> Package kernel-devel.x86_64 0:2.6.18-128.1.1.el5 set to be installed
---> Package kernel-headers.x86_64 0:2.6.18-128.1.1.el5 set to be updated
---> Package rpm-devel.i386 0:4.4.2.3-9.el5 set to be updated
---> Package rpm-libs.i386 0:4.4.2.3-9.el5 set to be updated
---> Package rpm.x86_64 0:4.4.2.3-9.el5 set to be updated
---> Package gdm.x86_64 1:2.16.0-47.el5.centos set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-9.el5 set to be updated
---> Package popt.i386 0:1.10.2.3-9.el5 set to be updated
---> Package rpm-python.x86_64 0:4.4.2.3-9.el5 set to be updated
---> Package popt.x86_64 0:1.10.2.3-9.el5 set to be updated
--> Running transaction check
---> Package nss-devel.x86_64 0:3.12.2.0-4.el5.centos set to be updated
--> Processing Dependency: nspr-devel >= 4.6.99 for package: nss-devel
--> Running transaction check
---> Package nspr-devel.x86_64 0:4.7.3-2.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                   Arch      Version                   
Repository  Size
================================================================================
Installing:
 kernel                    x86_64    2.6.18-128.1.1.el5        
updates     17 M
 kernel-devel              x86_64    2.6.18-128.1.1.el5        
updates    5.1 M
Updating:
 avahi-compat-libdns_sd    x86_64    0.6.16-1.el5_2.1          
updates     23 k
 gdm                       x86_64    1:2.16.0-47.el5.centos    
base       3.6 M
 kernel-headers            x86_64    2.6.18-128.1.1.el5        
updates    948 k
 popt                      i386      1.10.2.3-9.el5            
base        73 k
 popt                      x86_64    1.10.2.3-9.el5            
base        75 k
 rpm                       x86_64    4.4.2.3-9.el5             
base       1.2 M
 rpm-build                 x86_64    4.4.2.3-9.el5             
base       303 k
 rpm-devel                 i386      4.4.2.3-9.el5             
base       1.3 M
 rpm-devel                 x86_64    4.4.2.3-9.el5             
base       1.3 M
 rpm-libs                  i386      4.4.2.3-9.el5             
base       933 k
 rpm-libs                  x86_64    4.4.2.3-9.el5             
base       927 k
 rpm-python                x86_64    4.4.2.3-9.el5             
base        60 k
Installing for dependencies:
 nspr-devel                x86_64    4.7.3-2.el5               
base       115 k
 nss-devel                 x86_64    3.12.2.0-4.el5.centos     
updates    232 k

Transaction Summary
================================================================================
Install      4 Package(s)        
Update      12 Package(s)        
Remove       0 Package(s)        

Total download size: 33 M
Is this ok [y/N]: y
Downloading Packages:
(1/16): avahi-compat-libdns_sd-0.6.16-1.el5_2.1.x86_64.r |  23 kB     
00:00    
(2/16): rpm-python-4.4.2.3-9.el5.x86_64.rpm              |  60 kB     
00:00    
(3/16): popt-1.10.2.3-9.el5.i386.rpm                     |  73 kB     
00:00    
(4/16): popt-1.10.2.3-9.el5.x86_64.rpm                   |  75 kB     
00:00    
(5/16): nspr-devel-4.7.3-2.el5.x86_64.rpm                | 115 kB     
00:01    
(6/16): nss-devel-3.12.2.0-4.el5.centos.x86_64.rpm       | 232 kB     
00:01    
(7/16): rpm-build-4.4.2.3-9.el5.x86_64.rpm               | 303 kB     
00:03    
(8/16): rpm-libs-4.4.2.3-9.el5.x86_64.rpm                | 927 kB     
00:09    
(9/16): rpm-libs-4.4.2.3-9.el5.i386.rpm                  | 933 kB     
00:14    
(10/16): kernel-headers-2.6.18-128.1.1.el5.x86_64.rpm    | 948 kB     
00:14    
(11/16): rpm-4.4.2.3-9.el5.x86_64.rpm                    | 1.2 MB     
00:13    
(12/16): rpm-devel-4.4.2.3-9.el5.i386.rpm                | 1.3 MB     
00:15    
(13/16): rpm-devel-4.4.2.3-9.el5.x86_64.rpm              | 1.3 MB     
00:16    
(14/16): gdm-2.16.0-47.el5.centos.x86_64.rpm             | 3.6 MB     
00:43    
(15/16): kernel-devel-2.6.18-128.1.1.el5.x86_64.rpm      | 5.1 MB     
01:10    
(16/16): kernel-2.6.18-128.1.1.el5.x86_64.rpm            |  17 MB     
03:51    
--------------------------------------------------------------------------------
Total                                            76 kB/s |  33 MB     
07:21    
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
...

This is with *no* changes to /etc/yum.repos.d/Centos-Base on the 
workstation but includes an update to nss-devel.  I would interpret this 
as I got a different mirror this morning on the workstation and a bad 
mirror just minutes ago when I attempted to update the laptop.  Changing 
to baseurl on the laptop got me a different mirror (or just blind luck 
that I didn't get the same mirror).  Unfortunately, my first (bad) 
attempt to update the laptop has already scrolled off of the screen history.

Cheers,
Dave

-- 
Politics, n. Strife of interests masquerading as a contest of principles.
-- Ambrose Bierce



More information about the CentOS mailing list